Get a template graph
curl --request GET \
--url https://api.atlaswork.ai/api/v1/templates/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"template": {
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"roles": [
{
"id": "<string>",
"templateId": "<string>",
"name": "<string>",
"apiRoleName": "<string>",
"orderIndex": 1,
"isSender": true,
"optional": true
}
],
"fields": [
{
"id": "<string>",
"templateId": "<string>",
"roleId": "<string>",
"page": 2,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"label": "<string>",
"required": true,
"prefillValue": "<string>",
"prefillKey": "<string>",
"locked": true
}
],
"contract": {
"partiesForSend": [
{
"roleName": "<string>",
"apiRoleName": "<string>",
"orderIndex": 1,
"isSender": true,
"required": true
}
],
"doNotIncludeInParties": [
"<string>"
],
"storedSignatures": [
{
"roleName": "<string>",
"signatureImageUrl": "<string>"
}
],
"pinnedValues": [
{
"fieldId": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"prefillKeys": [
{
"key": "<string>",
"fieldId": "<string>",
"roleName": "<string>",
"label": "<string>",
"defaultValue": "<string>"
}
],
"exampleCreate": {
"recipients": {},
"prefill": {},
"autoSend": true
},
"sendPath": "<string>",
"contractNote": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Templates
Get a template graph
Returns the template graph plus a self-describing agent contract payload.
GET
/
api
/
v1
/
templates
/
{id}
Get a template graph
curl --request GET \
--url https://api.atlaswork.ai/api/v1/templates/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"template": {
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"roles": [
{
"id": "<string>",
"templateId": "<string>",
"name": "<string>",
"apiRoleName": "<string>",
"orderIndex": 1,
"isSender": true,
"optional": true
}
],
"fields": [
{
"id": "<string>",
"templateId": "<string>",
"roleId": "<string>",
"page": 2,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"label": "<string>",
"required": true,
"prefillValue": "<string>",
"prefillKey": "<string>",
"locked": true
}
],
"contract": {
"partiesForSend": [
{
"roleName": "<string>",
"apiRoleName": "<string>",
"orderIndex": 1,
"isSender": true,
"required": true
}
],
"doNotIncludeInParties": [
"<string>"
],
"storedSignatures": [
{
"roleName": "<string>",
"signatureImageUrl": "<string>"
}
],
"pinnedValues": [
{
"fieldId": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"prefillKeys": [
{
"key": "<string>",
"fieldId": "<string>",
"roleName": "<string>",
"label": "<string>",
"defaultValue": "<string>"
}
],
"exampleCreate": {
"recipients": {},
"prefill": {},
"autoSend": true
},
"sendPath": "<string>",
"contractNote": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
apiKeyoauthJwt
Organization API key (format atlas_sk_...), passed as a bearer token or the x-api-key header. Created and revoked in the dashboard (Better Auth api-key plugin); shown in full only once and stored hashed.
Path Parameters
Template id
Minimum string length:
1⌘I